Last Comment Bug 706908 - add Windows 8 to the OS list for gfx driver blacklisting
: add Windows 8 to the OS list for gfx driver blacklisting
Status: RESOLVED FIXED
[Win8]
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: All Windows 8
: -- normal (vote)
: mozilla18
Assigned To: Joe Drew (not getting mail)
:
Mentors:
Depends on:
Blocks: 786076 711656 715401 741105 744672 804144
  Show dependency treegraph
 
Reported: 2011-12-01 11:06 PST by Benoit Jacob [:bjacob] (mostly away)
Modified: 2012-10-22 06:48 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
fixed
fixed


Attachments
add Windows 8 to the platform list (887 bytes, patch)
2012-08-17 12:06 PDT, Joe Drew (not getting mail)
netzen: review+
bajaj.bhavana: approval‑mozilla‑aurora+
bajaj.bhavana: approval‑mozilla‑beta+
Details | Diff | Splinter Review
support Windows 8 from gfxInfo (2.78 KB, patch)
2012-08-17 12:36 PDT, Joe Drew (not getting mail)
no flags Details | Diff | Splinter Review
support windows 8 and os x 10.8 from gfxInfo (4.06 KB, patch)
2012-08-17 14:14 PDT, Joe Drew (not getting mail)
jacob.benoit.1: review+
bajaj.bhavana: approval‑mozilla‑aurora+
bajaj.bhavana: approval‑mozilla‑beta+
Details | Diff | Splinter Review
test new OS versions (12.23 KB, patch)
2012-08-17 14:15 PDT, Joe Drew (not getting mail)
jacob.benoit.1: review+
bajaj.bhavana: approval‑mozilla‑aurora+
bajaj.bhavana: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Benoit Jacob [:bjacob] (mostly away) 2011-12-01 11:06:16 PST

    
Comment 1 Joe Drew (not getting mail) 2012-08-17 12:06:54 PDT
Created attachment 652858 [details] [diff] [review]
add Windows 8 to the platform list

I presume this is how it'll come up, but lacking Windows 8 I can't test.
Comment 2 Joe Drew (not getting mail) 2012-08-17 12:07:24 PDT
Er, pretend that I added a comma after Windows 7 too.
Comment 3 Brian R. Bondy [:bbondy] 2012-08-17 12:26:08 PDT
Comment on attachment 652858 [details] [diff] [review]
add Windows 8 to the platform list

Review of attachment 652858 [details] [diff] [review]:
-----------------------------------------------------------------

r=me with , added :D
Not sure if you care or not, but you have kWindowsServer2003 listed already.
Server 2012 has the same value of 0x60002
Comment 4 Joe Drew (not getting mail) 2012-08-17 12:36:49 PDT
Created attachment 652876 [details] [diff] [review]
support Windows 8 from gfxInfo

This should support Windows 8 (and, incidentally, Mac OS X 10.8). Coming next: some tests.

Benoit, do you remember how we broke the blacklist accidentally in previous Firefox versions? I remember it being about us changing an enumerated value and some comparison being wrong. I just don't want to repeat that!
Comment 5 Joe Drew (not getting mail) 2012-08-17 13:48:06 PDT
The bug I was referring to is bug 711656.
Comment 6 Joe Drew (not getting mail) 2012-08-17 14:14:36 PDT
Created attachment 652914 [details] [diff] [review]
support windows 8 and os x 10.8 from gfxInfo

Forgot the widgets/cocoa part of the patch.
Comment 7 Joe Drew (not getting mail) 2012-08-17 14:15:02 PDT
Created attachment 652915 [details] [diff] [review]
test new OS versions
Comment 8 Joe Drew (not getting mail) 2012-08-17 14:15:25 PDT
Try: https://tbpl.mozilla.org/?tree=Try&rev=0544152632ca
Comment 9 Bas Schouten (:bas.schouten) 2012-08-20 08:41:20 PDT
These patches don't compile for me on Windows 8, due to a missing comma in the gfxWindowsPlatform.h enum.
Comment 10 Brian R. Bondy [:bbondy] 2012-08-20 08:42:18 PDT
You have to pretend it's there, see Comment 2 :D
Comment 13 Joe Drew (not getting mail) 2012-09-10 11:42:09 PDT
Comment on attachment 652858 [details] [diff] [review]
add Windows 8 to the platform list

[Approval Request Comment]
Bug caused by (feature/regressing bug #): none
User impact if declined: Inability for us to block hardware acceleration on Windows 8 at all
Testing completed (on m-c, etc.): On m-c for a while
Risk to taking this patch (and alternatives if risky): Could break all blacklisting, though it *shouldn't* since we have a lot of tests
String or UUID changes made by this patch: none
Comment 14 Joe Drew (not getting mail) 2012-09-10 11:42:20 PDT
Comment on attachment 652914 [details] [diff] [review]
support windows 8 and os x 10.8 from gfxInfo

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): 
String or UUID changes made by this patch:

Note You need to log in before you can comment on or make changes to this bug.